module Main (main) where

import           Criterion.Main
import qualified Data.ByteString.Lazy  as BSL
import           Language.C.Dependency (getAll, getIncludes)

main :: IO ()
main =
    defaultMain [ env file $ \ f ->
                  bgroup "getIncludes"
                      [ bench "lzlib.c" $ nf getIncludes f ]
                , bgroup "getAll"
                      [ bench "lzlib.c" $ nfIO (getAll [] "bench/data/lzlib.c") ]
                ]
    where file = BSL.readFile "bench/data/sqlite3.c"

